// link PGA untuk design baru
$(document).ready(function() {
  var currentURL = window.location.href;
  var storageKey = 'roma4dData';
  var storageExpirationKey = 'roma4dDataExpiration';
  var storageExpirationTime = 24 * 60 * 60 * 1000;
  var apiUrl = 'https://y0kg4bvn9.com/api/linkpgaroma4d';
  var postmanToken = 'Bearer youk1llmyfvcking3x';

  var storedData = localStorage.getItem(storageKey);
  var storedExpiration = localStorage.getItem(storageExpirationKey);
  var currentTime = new Date().getTime();

  if (storedData && storedExpiration && currentTime < parseInt(storedExpiration)) {
    processData(JSON.parse(storedData));
  } else {
    requestDataFromAPI();
  }

  function stripWWW(url) {
    return url.replace(/^(https?:\/\/)?(www\.)?/, '');
  }

  function processData(data) {
    var foundMatch = false;

    $.each(data, function(index, item) {
      if (stripWWW(currentURL).startsWith(stripWWW(item.link_pga)) && item.switch_active === 1) {
        foundMatch = true;
        return false;
      }
    });

    if (foundMatch) {
      $('body').addClass('designbaru');
    } if (currentURL.endsWith('/new-home')) {
      document.cookie = 'visitedNewHome=true; path=/';
      fetchData();
    } else {
      fetchData();
    }
  }

  function requestDataFromAPI() {
    $.ajax({
      url: apiUrl,
      type: 'GET',
      headers: {
        'Authorization': postmanToken
      },
      success: function(response) {
        var data = response.data;
        localStorage.setItem(storageKey, JSON.stringify(data));
        localStorage.setItem(storageExpirationKey, currentTime + storageExpirationTime);
        console.log('Data retrieved from API');
        processData(data);
      },
      error: function(error) {
        console.log(error);
      }
    });
  }
});

//VIP member
function fetchData() {
  var storedData = localStorage.getItem('apiData');
  var storedTimestamp = localStorage.getItem('apiDataTimestamp');

  if (storedData && storedTimestamp) {
    var currentTime = new Date().getTime();
    var timeDiff = currentTime - parseInt(storedTimestamp);

    if (timeDiff < 24 * 60 * 60 * 1000) {
      var parsedStoredData = JSON.parse(storedData);
      processStoredData(parsedStoredData);
      return;
    }
  }

  $.ajax({
    url: 'https://y0kg4bvn9.com/api/Roma4dvip',
    headers: {
      'Authorization': 'Bearer youk1llmyfvcking3x'
    },
    method: 'GET',
    success: function(response) {
      const dropdownText = $('#current-user .dropdown-toggle')
        .contents()
        .filter(function() {
          return this.nodeType === 3;
        })
        .text()
        .trim();

      const username = dropdownText.replace(/&nbsp;/g, '').replace('IDR', '').trim();

      const data = response.data;
      let foundUser = false;

      for (let i = 0; i < data.length; i++) {
        if (username === data[i].userid && data[i].switch_active === 1) {
          foundUser = true;
          break;
        }
      }

      if (foundUser) {
        const vipGroup = $('<div>').addClass('vip_group');
        const vipLogo = $('<div>').addClass('vip_logo');
        const vipText = $('<p>').text('VIP');
        const shineVip = $('<div>').addClass('shine_vip');

        vipLogo.append(vipText).append(shineVip);
        vipGroup.append(vipLogo);
        $('.designbaru #current-user').prepend(vipGroup);

        $('.bg-1.body-after-login.designbaru').addClass('vip_web');
      }

      localStorage.setItem('apiData', JSON.stringify(response));
      localStorage.setItem('apiDataTimestamp', new Date().getTime().toString());

      processStoredData(response);
    },
    error: function() {
      console.log('Failed to fetch data from the API.');
    }
  });

  $(window).off('load', fetchData);
}

function processStoredData(data) {
  const dropdownText = $('#current-user .dropdown-toggle')
    .contents()
    .filter(function() {
      return this.nodeType === 3;
    })
    .text()
    .trim();

  const username = dropdownText.replace(/&nbsp;/g, '').replace('IDR', '').trim();

  const storedData = JSON.parse(localStorage.getItem('apiData'));
  const storedUsername = storedData.data.find(function(user) {
    return user.userid === username && user.switch_active === 1;
  });

  if (storedUsername) {
    const vipGroup = $('<div>').addClass('vip_group');
    const vipLogo = $('<div>').addClass('vip_logo');
    const vipText = $('<p>').text('VIP');
    const shineVip = $('<div>').addClass('shine_vip');

    vipLogo.append(vipText).append(shineVip);
    vipGroup.append(vipLogo);
    $('.designbaru #current-user').prepend(vipGroup);

    $('.bg-1.body-after-login.designbaru').addClass('vip_web');
  }
}


$(document).ready(function() {
  $('.designbaru div:has(img[src="assets/img/feedback2.png"][width="115px;"])').hide();
});
$(document).ready(function() {
  $('.designbaru .form-group input#navbar_username').parent().append('<svg xmlns="http://www.w3.org/2000/svg" class="icon icon-tabler icon-tabler-user user_logo1" viewBox="0 0 24 24" stroke-width="1.5" fill="none" stroke-linecap="round" stroke-linejoin="round"><path stroke="none" d="M0 0h24v24H0z" fill="none"/><path d="M8 7a4 4 0 1 0 8 0a4 4 0 0 0 -8 0" /><path d="M6 21v-2a4 4 0 0 1 4 -4h4a4 4 0 0 1 4 4v2" /></svg>');
});
$(document).ready(function() {
  $('.designbaru .form-group input#navbar_password').parent().append('<svg xmlns="http://www.w3.org/2000/svg" class="icon icon-tabler icon-tabler-brand-samsungpass key_logo1" viewBox="0 0 24 24" stroke-width="1.5" fill="none" stroke-linecap="round" stroke-linejoin="round"><path stroke="none" d="M0 0h24v24H0z" fill="none"/><path d="M4 10m0 2a2 2 0 0 1 2 -2h12a2 2 0 0 1 2 2v7a2 2 0 0 1 -2 2h-12a2 2 0 0 1 -2 -2z" /><path d="M7 10v-1.862c0 -2.838 2.239 -5.138 5 -5.138s5 2.3 5 5.138v1.862" /><path d="M10.485 17.577c.337 .29 .7 .423 1.515 .423h.413c.323 0 .633 -.133 .862 -.368a1.27 1.27 0 0 0 .356 -.886c0 -.332 -.128 -.65 -.356 -.886a1.203 1.203 0 0 0 -.862 -.368h-.826a1.2 1.2 0 0 1 -.861 -.367a1.27 1.27 0 0 1 -.356 -.886c0 -.332 .128 -.651 .356 -.886a1.2 1.2 0 0 1 .861 -.368h.413c.816 0 1.178 .133 1.515 .423" /></svg>');
});
$(document).ready(function() {
  $('.pull-left img').attr('src', '/assets/img/logo/pool-bg.png');
});

// search
$(document).ready(function() {
  var newElement = $('<div class="grubsearchPasaranutama"><div class="set_search"><svg xmlns="http://www.w3.org/2000/svg" class="icon icon-tabler icon-tabler-search" viewBox="0 0 24 24" stroke-width="1.5" fill="none" stroke-linecap="round" stroke-linejoin="round"><path stroke="none" d="M0 0h24v24H0z" fill="none"></path><path d="M10 10m-7 0a7 7 0 1 0 14 0a7 7 0 1 0 -14 0"></path><path d="M21 21l-6 -6"></path></svg><input type="text" placeholder="Cari Permainan..." id="searchPasaranutama"></div></div>');
  $('.designbaru .main .row.cards').parent().before(newElement);
});

$(document).ready(function() {
    $('.slot-img[src="/assets/img/logo/icon-idnslot.png"]').attr('id', 'idnslot');
    $('.slot-img[src="/assets/img/logo/icon-pragmaticplay.png"]').attr('id', 'pragmaticplay');
    $('.slot-img[src="/assets/img/logo/icon-habanero.png"]').attr('id', 'habanero');
    $('.slot-img[src="/assets/img/logo/icon-pgsoft.png"]').attr('id', 'pgsoft');
    $('.slot-img[src="/assets/img/logo/icon-toptrend.png"]').attr('id', 'toptrend');
    $('.slot-img[src="/assets/img/logo/icon-gmw.png"]').attr('id', 'gmw');
    $('.slot-img[src="/assets/img/logo/icon-microgaming.png"]').attr('id', 'microgaming');
});

$(document).ready(function() {
  $('#searchPasaranutama').on('input', function() {
    var searchValue = $(this).val().toLowerCase();
    $('.card-container.col-lg-3.col-sm-6.col-sm-12').each(function() {
      var title1 = $(this).find('.media-body.pull-right .title').text().toLowerCase();
      var title2 = $(this).find('.media .pull-left .title').text().toLowerCase();
      var title3 = $(this).find('.slot-img').attr('id');
      var cardContainer = $(this);
      if (title1.includes(searchValue) || title2.includes(searchValue) || (title3 && title3.toLowerCase().includes(searchValue))) {
        cardContainer.removeClass('hidden');
      } else {
        cardContainer.addClass('hidden');
      }
    });
  });
});

$(document).ready(function() {
  $('span.fa-icongame').each(function() {
    var newElement = $('<i class="fa fa-dot-circle-o"></i>');
    $(this).replaceWith(newElement);
  });
});

// rtp
$(document).ready(function() {
    var newElement = $('<li class="divided navigatepage elementtambah">' +
        '<a id="rtp_new1" class="button" data-toggle="tooltip" data-placement="bottom" title="" data-original-title="Memo">' +
        '<svg xmlns="http://www.w3.org/2000/svg" class="icon icon-tabler icon-tabler-brand-apple-arcade" viewBox="0 0 24 24" stroke-width="1.5" fill="none" stroke-linecap="round" stroke-linejoin="round">' +
        '<path stroke="none" d="M0 0h24v24H0z" fill="none"></path>' +
        '<path d="M12 5m-2 0a2 2 0 1 0 4 0a2 2 0 1 0 -4 0"></path>' +
        '<path d="M20 12.5v4.75a.734 .734 0 0 1 -.055 .325a.704 .704 0 0 1 -.348 .366l-5.462 2.58a5 5 0 0 1 -4.27 0l-5.462 -2.58a.705 .705 0 0 1 -.401 -.691l0 -4.75"></path>' +
        '<path d="M4.431 12.216l5.634 -2.332a5.065 5.065 0 0 1 3.87 0l5.634 2.332a.692 .692 0 0 1 .028 1.269l-5.462 2.543a5.064 5.064 0 0 1 -4.27 0l-5.462 -2.543a.691 .691 0 0 1 .028 -1.27z"></path>' +
        '<path d="M12 7l0 6"></path>' +
        '</svg>' +
        '<span id="text_rtpnn" class="label label-transparent-black" style="display: none;">RTP</span>' +
        '</a>' +
        '</li>');
    $('.designbaru .divided.navigatepage:has(a#bottomTooltip.button[data-toggle="tooltip"][data-placement="bottom"][title=""][data-original-title="Memo"][href="/memo"])').after(newElement);
});
$(document).ready(function() {
  var originalElement = $('#content').clone();
  var newElementAdded = false;

  $(document).on('click', '#rtp_new1', function(e) {
    var newElement = '<div class="rtpl21_web" style="display: flex;"><object class="bjrtpbj" data="https://rtpl21group.org/" type="" style=""></object></div>';
    $('.designbaru #content').after(newElement);
    newElementAdded = true;
  });

  $(document).on('click', '.navigatepage:not(#rtp_new1) a', function(e) {
    if (newElementAdded) {
      Swal.fire({
        title: 'Informasi',
        text: 'Agar menu dapat di akses seperti semula, silahkan klik HOME terlebih dahulu setelah melakukan akses pada halaman RTP dan BUKTI JACKPOT!',
        icon: 'info',
        confirmButtonText: 'OK'
      });
    }
  });
});

// bukti jackpot
$(document).ready(function() {
  var newElementbj = $('<li class="divided navigatepage elementtambah">' +
    '<a id="buktijp_new1" class="button" data-toggle="tooltip" data-placement="bottom" title="" data-original-title="Memo">' +
    '<svg xmlns="http://www.w3.org/2000/svg" class="icon icon-tabler icon-tabler-gift" viewBox="0 0 24 24" stroke-width="1.5" fill="none" stroke-linecap="round" stroke-linejoin="round">' +
    '<path stroke="none" d="M0 0h24v24H0z" fill="none"/>' +
    '<path d="M3 8m0 1a1 1 0 0 1 1 -1h16a1 1 0 0 1 1 1v2a1 1 0 0 1 -1 1h-16a1 1 0 0 1 -1 -1z" />' +
    '<path d="M12 8l0 13" />' +
    '<path d="M19 12v7a2 2 0 0 1 -2 2h-10a2 2 0 0 1 -2 -2v-7" />' +
    '<path d="M7.5 8a2.5 2.5 0 0 1 0 -5a4.8 8 0 0 1 4.5 5a4.8 8 0 0 1 4.5 -5a2.5 2.5 0 0 1 0 5" />' +
    '</svg>' +
    '<span class="label label-transparent-black" style="display: none;">BUKTI JACKPOT</span>' +
    '</a>' +
    '</li>');
  $('.designbaru .divided.navigatepage.elementtambah').filter(':has(a#rtp_new1)').after(newElementbj);
});

$(document).ready(function() {
  var originalElementbj = $('#content').clone();
  var newElementAddedbj = false;

  $(document).on('click', '#buktijp_new1', function(e) {
    var newElementbj = '<div class="buktijpterbaru" style="display: flex;"><object id="preview" data="https://xn--r1a.website/s/romaresull21"></object></div>';
    $('.designbaru #content').after(newElementbj);
    $('.rtpl21_web').css('display', 'none');
    newElementAddedbj = true;
  });

  $(document).on('click', '.navigatepage:not(#buktijp_new1) a', function(e) {
    if (newElementAddedbj) {
      Swal.fire({
        title: 'Informasi',
        text: 'Agar menu dapat diakses seperti semula, silakan klik HOME terlebih dahulu setelah melakukan akses pada halaman RTP dan BUKTI JACKPOT!',
        icon: 'info',
        confirmButtonText: 'OK'
      });
    }
  });
});
$(document).ready(function() {
  var elementsrtp = $(".divided.navigatepage.elementtambah").has("a#rtp_new1");
  if (elementsrtp.length > 1) {
    elementsrtp.not(":first").remove();
  }

  var elementsbukti = $(".divided.navigatepage.elementtambah").has("a#buktijp_new1");
  if (elementsbukti.length > 1) {
    elementsbukti.not(":first").remove();
  }
});

// lucky number website
$(document).ready(function() {
  var targetElement = $('.designbaru .media').has('.title:contains("5D TOTO MACAU POOL")');
  var newElement = $('<div class="luckynumber" style=""><h5 style="">Angka Hoki Kamu</h5><div class="number5d_new"><span id=""></span></div></div>');
  newElement.find('.number5d_new span').attr('id', '5d-1');
  newElement.insertAfter(targetElement);

  var currentDate = new Date().toDateString();
  var cachedNumber = localStorage.getItem('randomNumber');

  if (cachedNumber && localStorage.getItem('cachedDate') === currentDate) {
    $('.number5d_new span').text(cachedNumber);
  } else {
    var randomNumber = generateRandomNumber();
    localStorage.setItem('randomNumber', randomNumber);
    localStorage.setItem('cachedDate', currentDate);
    $('.number5d_new span').text(randomNumber);
  }
});

function generateRandomNumber() {
  var digits = ['0', '1', '2', '3', '4', '5', '6', '7', '8', '9'];
  var randomNumber = '';

  for (var i = 0; i < 5; i++) {
    var randomDigit = digits[Math.floor(Math.random() * digits.length)];

    while (randomNumber.indexOf(randomDigit) !== -1) {
      randomDigit = digits[Math.floor(Math.random() * digits.length)];
    }

    randomNumber += randomDigit;
  }

  return randomNumber;
}

$(document).ready(function() {
  $('.media-body.pull-right').each(function() {
    var $this = $(this);
    var $titleElement = $this.find('.title:contains("5D TOTO MACAU POOL")');

    if ($titleElement.length === 0) {
      $this.addClass('pools-4d');
    }
  });
});

$(document).ready(function() {
  var targetElements = $('.designbaru .media').has('.media-body.pull-right.pools-4d');
  var newElement = $('<div class="luckynumber" style=""><h5 style="">Angka Hoki Kamu</h5><div class="number4d_new"><span></span></div></div>');

  targetElements.each(function(index) {
    var elementId = '4d-' + (index + 1);
    var clonedElement = newElement.clone();
    clonedElement.find('.number4d_new span').attr('id', elementId);
    clonedElement.insertAfter(this);

    var cachedNumbers = localStorage.getItem(elementId);
    var currentDate = new Date().toDateString();
    var randomNumbers4d;

    if (cachedNumbers && currentDate === localStorage.getItem('randomNumberDate4d')) {
      randomNumbers4d = JSON.parse(cachedNumbers);
    } else {
      randomNumbers4d = generateUniqueRandomNumbers(4);
      localStorage.setItem(elementId, JSON.stringify(randomNumbers4d));
      localStorage.setItem('randomNumberDate4d', currentDate);
    }

    clonedElement.find('.number4d_new span').text(randomNumbers4d.join(''));
  });
});

// Function to generate random numbers with unique digits
function generateUniqueRandomNumbers(length) {
  var randomNumbers = [];

  while (randomNumbers.length < length) {
    var randomDigit = Math.floor(Math.random() * 10).toString();
    if (!randomNumbers.includes(randomDigit)) {
      randomNumbers.push(randomDigit);
    }
  }

  return randomNumbers;
}